Installation

Binaries

Current version: v0.17.2.

OS x64 ia32
Linux Download Download
OS X Download
Windows Download Download

Build from Source

Prerequisites

Developing and running the ISLE Editor has the following prerequisites:

  • git: version control
  • Node.js: JavaScript runtime (version >= 0.10)

Download

To acquire the source code, clone the git repository.

$ git clone https://github.com/planeshifter/isle-editor

Installation

To install development dependencies,

$ npm install

Development

To live-edit the ISLE Editor,

$ npm start
$ open http://localhost:3000

Editing source files will result in changes appearing directly without reloading.

Build

To build and package the Electron application,

$ npm run build

results matching ""

    No results matching ""